Subject: Re: bug#9500: [PATCH]: use posix_fallocate where supported

From: Pádraig Brady <[email-masked]>
Date: Tue, 29 Nov 2011 14:13:27 +0000

On 11/29/2011 01:22 PM, Jim Meyering wrote:
> Pádraig Brady wrote:
>> On 11/25/2011 10:59 AM, Pádraig Brady wrote:
>>> On 11/25/2011 10:13 AM, Pádraig Brady wrote:
>>>
>>>> Hmm, one of your points above got me thinking.
>>>> Might fallocate() fail to allocate an extent with ENOSPC,
>>>> but there could be fragmented space available to write()?
>>>> That would scupper benefit (2) above :(
>>>> I'll ask [email-masked]
>>>
>>> And the response from there is that fallocate() will
>>> check the free blocks first, and then try to allocate
>>> as a contiguous extent, but that part is not guaranteed.
>>> So we still get benefit (2).
>>
>> However that thread has continued, and it
>> was mentioned that benefit (1) might actually
>> be detrimental, at least for small files.
>>
>> http://thread.gmane.org/gmane.linux.file-systems/59092
> 
> Sigh, indeed.
> Do you think it's even worth an option, now?

Having an option to enable is much less interesting.
One might auto-enable it for files > 16MB or something.
I'm reserving judgement until I understand the issues better.

cheers,
Pádraig.